|  | Home · All Classes · Modules

# QHelpIndexModel Class Reference
[QtHelp module]

The QHelpIndexModel class provides a model that supplies index keywords to views. More...

Inherits QStringListModel.

### Methods

- createIndex (self, QString)
- QModelIndex filter (self, QString, QString wildcard = QString())
- bool isCreatingIndex (self)
- dict-of-QString-QUrl linksForKeyword (self, QString)

### Qt Signals

- void indexCreated ()
- void indexCreationStarted ()

## Detailed Description

The QHelpIndexModel class provides a model that supplies index keywords to views.

## Method Documentation

### QHelpIndexModel.createIndex (self, QString)

Creates a new index by querying the help system for keywords for the specified customFilterName.

### QModelIndex QHelpIndexModel.filter (self, QString, QString wildcard = QString())

Filters the indices and returns the model index of the best matching keyword. In a first step, only the keywords containing filter are kept in the model's index list. Analogously, if wildcard is not empty, only the keywords matched are left in the index list. In a second step, the best match is determined and its index model returned. When specifying a wildcard expression, the filter string is used to search for the best match.

### bool QHelpIndexModel.isCreatingIndex (self)

Returns true if the index is currently built up, otherwise false.

### dict-of-QString-QUrl QHelpIndexModel.linksForKeyword (self, QString)

Returns all hits found for the keyword. A hit consists of the URL and the document title.

## Qt Signal Documentation

### void indexCreated ()

This is the default overload of this signal.

This signal is emitted when the index has been created.

### void indexCreationStarted ()

This is the default overload of this signal.

This signal is emitted when the creation of a new index has started. The current index is invalid from this point on until the signal indexCreated() is emitted.

See also isCreatingIndex().